## Import DNS Records `client.dns.records.import(RecordImportParamsparams, RequestOptionsoptions?): RecordImportResponse` **post** `/zones/{zone_id}/dns_records/import` You can upload your [BIND config](https://en.wikipedia.org/wiki/Zone_file "Zone file") through this endpoint. It assumes that cURL is called from a location with bind_config.txt (valid BIND config) present. See [the documentation](https://developers.cloudflare.com/dns/manage-dns-records/how-to/import-and-export/ "Import and export records") for more information. ### Parameters - `params: RecordImportParams` - `zone_id: string` Path param: Identifier. - `file: string` Body param: BIND config to import. **Tip:** When using cURL, a file can be uploaded using `--form 'file=@bind_config.txt'`. - `proxied?: string` Body param: Whether or not proxiable records should receive the performance and security benefits of Cloudflare. The value should be either `true` or `false`. ### Returns - `RecordImportResponse` - `recs_added?: number` Number of DNS records added. - `total_records_parsed?: number` Total number of DNS records parsed. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.dns.records.import({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', file: 'www.example.com. 300 IN A 127.0.0.1', }); console.log(response.recs_added); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "recs_added": 5, "total_records_parsed": 5 } } ```